from libcloud.compute.base import Node, NodeState


Instance = Node

InstanceStatus = NodeState

class Location:
    """
    A physical location where cloud resources are hosted.
    """

    def __init__(self, id, name=None, parent=None, extra=None):
        self.id_ = id
        self.name_ = name if name is not None else id
        self.parent_ = parent
        self.extra_ = extra

    @property
    def id(self):
        return self.id_

    @property
    def name(self):
        return self.name_

    @property
    def parent(self):
        return self.parent_

    @property
    def extra(self):
        return self.extra_
